Download it now!
Bug 95397 - Calc AutoFormat instructions
Summary: Calc AutoFormat instructions
Status: RESOLVED MOVED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.4.5.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-28 17:32 UTC by gmarco
Modified: 2017-01-06 18:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
autoform-newtest (screenshot) (252.63 KB, image/jpeg)
2015-10-28 17:32 UTC, gmarco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gmarco 2015-10-28 17:32:32 UTC
Created attachment 120051 [details]
autoform-newtest  (screenshot)

Having I performed various tests to understand the logic by which are initially stored and then applied the predefined models, I have reached these conclusions that it would be appropriate were stated in the help and guide instructions (please correct the imperfections of my English).
Refer to attachment "autoform-newtest" and to my bug 95181.

a) Rules for ADD the current formatting to the list of predefined AutoFormats:
1- Select all the range of the formatted "model" sheet (at least 4 x 4 cells) and click on Format - AutoFormat.  (my note: about "Select all the range", it is wrong what I read in the IT guide PF1 instructing to choice Edit–Select all)
The AutoFormat dialog then appears.
Click Add, then enter a name and click OK.
2- Then, in the formatting options (usually selected), deselect those currently in your spreadsheet you want to keep into the predefined AutoFormat.
In the preview field you can see a preview of the predefined formatting.
Calc AutoFormat stores a predefined format using these criteria: the first row and the first column selected are considered to be “titles”, the last row and the last column are considered to be “totals” and other cells are considered to be "data".
3- Click CLOSE.  (my note: don't click OK now, otherwise you can get a LO hang; see my bug 92506)

b) Rules for APPLY a predefined AutoFormat to a sheet:
1- Select all the range of cells (at least 3x3) in the sheet to be formatted. 
2- Open the the AutoFormat dialog clicking on Format - AutoFormat.
3- Select a specific formatting from the list of all predefined automatic formatting, select/deselect those options you want to be discarded/applied into the marked sheet.
4- Click OK to assign the format to the marked sheet.
The predefined AutoFormat will be applied to new sheets regardless of the amount of cells to format (that is "titles/totals" formats will be applied to the first row and the first column in the selection, "data" formats will be applied to all other cells in the selection.

c) Rules for DELETE/RENAME a predefined AutoFormat:
1- Open the the AutoFormat dialog clicking on Format - AutoFormat.  (my note: the AutoFormat selection is usually inhibited; in order to disinhibit it, previously select fictitiously a range of any cells)
2- Select a specific formatting from the list of all predefined automatic formatting.
3- Click Delete or Rename.  Cicking Rename you will be asked for a new name, enter it in and click OK.
4- Click CLOSE.  (my note: don't click OK now, otherwise you can get a LO hang; see my bug 92506)
Comment 1 Buovjaga 2015-11-08 17:37:31 UTC
I was one of the testers, so setting to NEW.
Comment 2 QA Administrators 2017-01-03 19:36:16 UTC Comment hidden (obsolete)
Comment 3 gmarco 2017-01-04 21:48:43 UTC
(In reply to QA Administrators from comment #2)

Running LO 5.2.3.3  Win10  it seems nothing changed.
Comment 4 gmarco 2017-01-06 17:13:03 UTC
Because of the topic complexity I retested all the topic in LO 5.2.3.3 creating a new one (105152).

Please close this bug (CLOSED-MOVED).